Name:           wv2
Version:        0.2.3
Release:        7%{?dist}
Summary:        A library which allows access to Microsoft® Word files

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://wvware.sourceforge.net
Source0:        http://dl.sf.net/wvware/wv2-0.2.3.tar.bz2
# see bug #182293
Patch1:         wv2-0.2.2-no-undefined.patch
# see bug #192291
Patch2:         wv2-0.2.2-no-extra-libs.patch
# see bug #343451 
Patch3:         wv2-fixmultilib.patch
# fix gcc43 build
Patch4:         wv2-gcc43.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake
BuildRequires:  libgsf-devel
BuildRequires:  libxml2-devel
BuildRequires:  glib2-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig
BuildRequires:  libtool

%description
wv is a library which allows access to Microsoft® Word files. It can load and
parse Word 2000, 97, 95 and 6 file formats. (These are the file formats known
internally as Word 9, 8, 7 and 6.) There is some support for reading earlier
formats as well: Word 2 docs are converted to plaintext. 

%package devel
Summary:        Development tools for programs which will use the wv2 library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libgsf-devel
Requires:       glib2-devel
Requires:       libxml2-devel

%description devel 
The wv2-devel package includes the header files necessary for developing.

%prep
%setup -q

%patch1 -p1 -b .no-undefined
%patch2 -p1 -b .extra_libs
%patch3
./autogen.sh
%patch4

%build
%configure --disable-warnings --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

touch -r ChangeLog $RPM_BUILD_ROOT/%{_bindir}/wv2-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB README RELEASE THANKS TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/wv2-config
%{_libdir}/*.so
%{_includedir}/wv2

%changelog
* Fri Feb 22 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.2.3-7
- fix gcc43 build (#433999)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.3-6
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.2.3-5
- Rebuilt for gcc43

* Fri Jan 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-4
- fix #343451 multiarch

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-3
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-2
- FE6 rebuild
- fix BR

* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-1
- version upgrade
- fix #195019 (CVE-2006-2197)

* Wed Mar 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-9
- bump for libgsf

* Tue Feb 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-8
- Fix #19229{1,3}
- Tune configure

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-7
- Rebuild for Fedora Extras 5

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-6
- rebuild

* Tue Jul 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-5
- add dist tag

* Fri Jul 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-4
- add some Requires for the devel package
- changed some files around
- added missing defattr to devel package

* Thu Jun 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-3
- drop explicit Requires for ldconfig

* Wed Jun 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-2
- added trademarks
- added missing ldconfig

* Sun Jun 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-1
- Initial Release
